Bug 1124392 - Attaching/Detaching two (or more) networks with lables to a cluster fails
Summary: Attaching/Detaching two (or more) networks with lables to a cluster fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alona Kaplan
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 12:06 UTC by Alona Kaplan
Modified: 2016-02-10 19:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:22:27 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30791 master MERGED engine: Attach/Detach two (or more) nets with labels to cluster fails Never
oVirt gerrit 30793 ovirt-engine-3.5 MERGED engine: Attach/Detach two (or more) nets with labels to cluster fails Never

Description Alona Kaplan 2014-07-29 12:06:39 UTC
Description of problem:

Attching/Detaching two (or more) networks with lables to a cluster fails with the following exception-

2014-07-29 14:55:36,866 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (org.ovirt.thread.pool-8-thread-10) Cant find constructor for type org.ovirt.engine.core.bll.network.cluster.DetachNetworksFromClusterCommand with parameter types: [class org.ovirt.engine.core.common.action.ClusterNetworksParameters]


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Add net1 with label lbl1
2. Add net2 with label lbl2
3. Go to cluster->network tab, open manage naetworks dialog
4. Mark both of the networks as attached a click ok

Actual results:
The networks are not attached.
(Same bug with detach).


Expected results:
The networks are attached to the cluster.


Additional info:

Comment 1 Martin Pavlik 2014-09-03 14:27:51 UTC
VERIFIED 
oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6 
both attach and detach work ok

Comment 2 Sandro Bonazzola 2014-10-17 12:22:27 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.